HTTPS web interface won't load in chrome after update to 4.0

Worked fine on chrome for version 3.3.8
Works fine in Firefox for version 4.0
When attempting to access graylog 4.0 web interface via HTTPS in chrome I get the following error:

This site can’t be reached

The webpage at https://10.x.x.x:9000/ might be temporarily down or it may have moved permanently to a new web address.

ERR_SSL_KEY_USAGE_INCOMPATIBLE

Thanks